Bug 1151364 (CVE-2014-6517) - CVE-2014-6517 OpenJDK: StAX parser parameter entity XXE (JAXP, 8039533)
Summary: CVE-2014-6517 OpenJDK: StAX parser parameter entity XXE (JAXP, 8039533)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2014-6517
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20141014,repor...
Depends On:
Blocks: 1148726 1167418
TreeView+ depends on / blocked
 
Reported: 2014-10-10 08:47 UTC by Tomas Hoger
Modified: 2019-06-08 20:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that the StAX XML parser in the JAXP component in OpenJDK performed expansion of external parameter entities even when external entity substitution was disabled. A remote attacker could use this flaw to perform XML eXternal Entity (XXE) attack against applications using the StAX parser to parse untrusted XML documents.
Clone Of:
Environment:
Last Closed: 2015-09-03 01:24:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1620 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security and bug fix update 2014-10-15 05:26:31 UTC
Red Hat Product Errata RHSA-2014:1633 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security and bug fix update 2014-10-15 00:47:46 UTC
Red Hat Product Errata RHSA-2014:1634 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security and bug fix update 2014-10-15 06:09:01 UTC
Red Hat Product Errata RHSA-2014:1636 normal SHIPPED_LIVE Important: java-1.8.0-openjdk security update 2014-10-15 07:03:25 UTC
Red Hat Product Errata RHSA-2014:1657 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2017-12-15 15:36:32 UTC
Red Hat Product Errata RHSA-2014:1658 normal SHIPPED_LIVE Important: java-1.6.0-sun security update 2017-12-15 15:35:40 UTC

Description Tomas Hoger 2014-10-10 08:47:47 UTC
It was discovered that the StAX XML parser in the JAXP (Java API for XML Processing) component of OpenJDK failed to properly honor setting indicating (defined using isSupportingExternalEntities / IS_SUPPORTING_EXTERNAL_ENTITIES property) whether external XML entities should be processed.  External parameter entities were processed even when the StAX parser was configured to not process external entities.  An attacker able to provide a specially-crafted XML file to an application using StAX parser could use this flaw to perform XML eXternal Entity (XXE) attack.

Comment 1 Tomas Hoger 2014-10-14 20:13:13 UTC
Public now via Oracle Critical Patch Update - October 2014.  Fixed in Oracle Java SE 6u85, 7u71, and 8u25.

External References:

http://www.oracle.com/technetwork/topics/security/cpuoct2014-1972960.html#AppendixJAVA

Comment 2 errata-xmlrpc 2014-10-14 20:48:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:1633 https://rhn.redhat.com/errata/RHSA-2014-1633.html

Comment 3 errata-xmlrpc 2014-10-15 01:27:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2014:1620 https://rhn.redhat.com/errata/RHSA-2014-1620.html

Comment 4 errata-xmlrpc 2014-10-15 02:09:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5

Via RHSA-2014:1634 https://rhn.redhat.com/errata/RHSA-2014-1634.html

Comment 5 errata-xmlrpc 2014-10-15 03:03:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1636 https://rhn.redhat.com/errata/RHSA-2014-1636.html

Comment 6 Martin Prpič 2014-10-15 09:36:34 UTC
IssueDescription:

It was discovered that the StAX XML parser in the JAXP component in OpenJDK performed expansion of external parameter entities even when external entity substitution was disabled. A remote attacker could use this flaw to perform XML eXternal Entity (XXE) attack against applications using the StAX parser to parse untrusted XML documents.

Comment 8 errata-xmlrpc 2014-10-16 23:02:36 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:1658 https://rhn.redhat.com/errata/RHSA-2014-1658.html

Comment 9 errata-xmlrpc 2014-10-16 23:12:53 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:1657 https://rhn.redhat.com/errata/RHSA-2014-1657.html


Note You need to log in before you can comment on or make changes to this bug.